//************************************************************************
// Program: Help window program for next 2000 game i plan to write
// Programmer: H K Gupta     Date: 10 July 1997
//************************************************************************

import java.awt.*;

public class HridayeshHelp extends Frame {
    private TextArea textArea;

    public HridayeshHelp() {
        textArea = new TextArea(10, 78);
        textArea.setEditable(false);
        add("Center", textArea);
    }

    public boolean handleEvent(Event event) {
        if (event.id == Event.WINDOW_DESTROY) {
                dispose();
        }
        return super.handleEvent(event);
    }

    public void setText(String text) {
        textArea.appendText(text + "\n");
    }

    public void setTextNoLF(String text) {
        textArea.appendText(text);
    }
}
